org.jbpm.services.task.commands

## Class GetTaskDefinitionCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<org.kie.internal.task.api.model.TaskDef>
  - - org.jbpm.services.task.commands.GetTaskDefinitionCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<org.kie.internal.task.api.model.TaskDef>, org.kie.api.command.Command<org.kie.internal.task.api.model.TaskDef>

      public class GetTaskDefinitionCommand
      extends TaskCommand<org.kie.internal.task.api.model.TaskDef>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskDefinitionCommand()`
    `GetTaskDefinitionCommand(String definitionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.api.model.TaskDef` | `execute(org.kie.api.runtime.Context cntxt)`
    `String` | `getDefinitionId()`
    `void` | `setDefinitionId(String definitionId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetTaskDefinitionCommand

          public GetTaskDefinitionCommand()

    - #### GetTaskDefinitionCommand

          public GetTaskDefinitionCommand(String definitionId)

  - ### Method Detail

    - #### getDefinitionId

          public String getDefinitionId()

    - #### setDefinitionId

          public void setDefinitionId(String definitionId)

    - #### execute

          public org.kie.internal.task.api.model.TaskDef execute(org.kie.api.runtime.Context cntxt)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.